;;; widget/tag-list.fnl --- Vertical tag list widget

;;; Code:

(local awful (require :awful))
(local beautiful (require :beautiful))
(local wibox (require :wibox))

;;;
;; Functions

(fn tag-list [s]
  (awful.widget.taglist
   {:screen s
    :filter awful.widget.taglist.filter.selected
    :style {:font (.. beautiful.font " Bold 10")}
    ;; :widget_template
    ;; {1
    ;;  {:id "index_role"
    ;;     :widget wibox.widget.textbox}
    ;;  :widget wibox.container.margin
    ;;  :margins 5
    ;;  :create_callback
    ;;  (lambda [self, c3, index, objects])}
    :layout wibox.layout.fixed.vertical
    }
   ))

tag-list
;;; widget/tag-list.fnl ends here
